Subject: Re: libgit2 - a true git library

From: "Shawn O. Pearce" <[email-masked]>
Date: Fri, 31 Oct 2008 16:28:29 -0700

Pieter de Bie <[email-masked]> wrote:
> On 31 okt 2008, at 22:31, Pierre Habouzit wrote:
>>
>> Many of the people needing a library for libgit are probably reading  
>> the
>> list, I'll let them comment
>
> As a more concrete comment, is there anything you would like to hear
> from GUI developers during the development of libgit2? I'm not sure I
> can contribute much in terms of code, but if you need any constructive
> comments, I can help with that.

We'd like to hear feedback on the API.  Look at the operations
your application does with git-core.

  Can you express that with the libgit2 API?
  If not, why not?
  Is it just that the docs are unclear?
  Is the API missing?
  What would you like to invoke to get the data you need?
  ...

You are the end-user of the library, so it needs to suit you.  Ok,
you aren't the only end-user, but you and other developers like
you... :-)

-- 
Shawn.